OID reference

swIfSpeedAdminMode

1.3.6.1.4.1.89.43.1.1.15

Description

This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 10 is returned for 10G. A value of 0 is returned if the value of the variable hasn't been set.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.43.1.1 (swIfEntry)
Node code
15
Node name
swIfSpeedAdminMode
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.43.1.1.15
URN notation
urn:oid:1.3.6.1.4.1.89.43.1.1.15
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 43 1 1 15}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) swInterfaces(43) swIfTable(1) swIfEntry(1) swIfSpeedAdminMode(15)}
OID-IRI notation
  • /1/3/6/1/4/1/89/43/1/1/15
  • /ISO/Identified-Organization/6/1/4/1/89/43/1/1/15
  • /ISO/3/6/1/4/1/89/43/1/1/15
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/identified-organization/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/org/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/org/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/org/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/org/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-organization/dod/internet/private/enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-organization/dod/internet/private/enterprises/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode
  • /iso/iso-organization/dod/internet/private/vendor-objects/rnd/swInterfaces/swIfTable/swIfEntry/swIfSpeedAdminMode

SNMP properties

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
current, mandatory
Default value
0

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), NETGEAR official product and EOL MIB downloads, and others

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
current
Default value
0

Variant 2 — D-Link official switch MIBs

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Default value
0

Using this OID with SNMP

At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.

In RADLAN-MIB, the row index swIfIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.89.43.1.1.15.<swIfIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.

Published row index: swIfIndex.

snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.43.1.1.15

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Product context

Documented MIB packages

The NETGEAR catalogue lists MIB files containing this definition with these product and release labels:

These are catalogue release labels, not necessarily MIB revisions. A MIB definition does not establish that a device implements it or permits access.

Available source records contain 3 distinct definitions; some records may not include a definition.

Show 3 published definitions

swIfSpeedAdminMode · current

swIfSpeedAdminMode OBJECT-TYPE
   SYNTAX  INTEGER
   MAX-ACCESS   read-write
   STATUS       current
   DESCRIPTION
        "This variable specifies the required speed of this interface in bits
         per second. This specification will take effect only if
         swIfSpeedDuplexAutoNegotiation is disabled.
         A value of 10 is returned for 10G.
         A value of 0 is returned if the value of the variable
         hasn't been set."
   DEFVAL { 0 }
  ::= { swIfEntry  15 }

swIfSpeedAdminMode · current

swIfSpeedAdminMode OBJECT-TYPE
   SYNTAX  INTEGER
   MAX-ACCESS   read-write
   STATUS       current
   DESCRIPTION
        "This variable specifies the required speed of this interface in bits
         per second. This specification will take effect only if
         swIfSpeedDuplexAutoNegotiation is disabled.
         A value of 10 is returned for 10G.
         A value of 0 is returned if the value of the variable
         hasn't been set."
   DEFVAL { 0 }
  ::= { swIfEntry  15 }

swIfSpeedAdminMode · mandatory

swIfSpeedAdminMode OBJECT-TYPE
   SYNTAX  INTEGER
   ACCESS  read-write
   STATUS  mandatory
   DESCRIPTION
        "This variable specifies the required speed of this interface in bits
         per second. This specification will take effect only if
         swIfSpeedDuplexAutoNegotiation is disabled.
         A value of 0 is returned if the value of the variable
         hasn't been set."
   DEFVAL { 0 }
  ::= { swIfEntry  15 }

Meaning

Descriptions

2 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Description 1

This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 10 is returned for 10G. A value of 0 is returned if the value of the variable hasn't been set.

Sources for this description

Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Dell MIB copies (LibreNMS/Observium Community)Netdisco MIB archive copiesNETGEAR official product and EOL MIB downloads

See 1 matching source record

Description 2

This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 0 is returned if the value of the variable hasn't been set.

Sources for this description

D-Link official switch MIBs

See 1 matching source record

Evidence

Source records

2 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others1 record · 6 sources

Description 1

swIfSpeedAdminMode · currentMultiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others6 sources

Status in source: current.

Names: swIfSpeedAdminMode

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "swIfSpeedAdminMode",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "MAX-ACCESS",
    "read-write",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 10 is returned for 10G. A value of 0 is returned if the value of the variable hasn't been set.\"",
    "DEFVAL",
    "{",
    "0",
    "}",
    "::=",
    "{",
    "swIfEntry",
    "15",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 10 is returned for 10G. A value of 0 is returned if the value of the variable hasn't been set."
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      0
    ]
  ]
}
Records for description 2D-Link official switch MIBs1 record · 1 source

Description 2

swIfSpeedAdminMode · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: swIfSpeedAdminMode

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "swIfSpeedAdminMode",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 0 is returned if the value of the variable hasn't been set.\"",
    "DEFVAL",
    "{",
    "0",
    "}",
    "::=",
    "{",
    "swIfEntry",
    "15",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "This variable specifies the required speed of this interface in bits per second. This specification will take effect only if swIfSpeedDuplexAutoNegotiation is disabled. A value of 0 is returned if the value of the variable hasn't been set."
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      0
    ]
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Siblings (45)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.43.1.1.1 swIfIndex00
1.3.6.1.4.1.89.43.1.1.2 swIfPhysAddressType00
1.3.6.1.4.1.89.43.1.1.3 swIfDuplexAdminMode00
1.3.6.1.4.1.89.43.1.1.4 swIfDuplexOperMode00
1.3.6.1.4.1.89.43.1.1.5 swIfBackPressureMode00
1.3.6.1.4.1.89.43.1.1.6 swIfTaggedMode00
1.3.6.1.4.1.89.43.1.1.7 swIfTransceiverType00
1.3.6.1.4.1.89.43.1.1.8 swIfLockAdminStatus00
1.3.6.1.4.1.89.43.1.1.9 swIfLockOperStatus00
1.3.6.1.4.1.89.43.1.1.10 swIfType00
1.3.6.1.4.1.89.43.1.1.11 swIfDefaultTag00
1.3.6.1.4.1.89.43.1.1.12 swIfDefaultPriority00
1.3.6.1.4.1.89.43.1.1.13 swIfStatus00
1.3.6.1.4.1.89.43.1.1.14 swIfFlowControlMode00
1.3.6.1.4.1.89.43.1.1.16 swIfSpeedDuplexAutoNegotiation00
1.3.6.1.4.1.89.43.1.1.17 swIfOperFlowControlMode00
1.3.6.1.4.1.89.43.1.1.18 swIfOperSpeedDuplexAutoNegotiation00
1.3.6.1.4.1.89.43.1.1.19 swIfOperBackPressureMode00
1.3.6.1.4.1.89.43.1.1.20 swIfAdminLockAction00
1.3.6.1.4.1.89.43.1.1.21 swIfOperLockAction00
1.3.6.1.4.1.89.43.1.1.22 swIfAdminLockTrapEnable00
1.3.6.1.4.1.89.43.1.1.23 swIfOperLockTrapEnable00
1.3.6.1.4.1.89.43.1.1.24 swIfOperSuspendedStatus00
1.3.6.1.4.1.89.43.1.1.25 swIfLockOperTrapCount00
1.3.6.1.4.1.89.43.1.1.26 swIfLockAdminTrapFrequency00
1.3.6.1.4.1.89.43.1.1.27 swIfReActivate00
1.3.6.1.4.1.89.43.1.1.28 swIfAdminMdix00
1.3.6.1.4.1.89.43.1.1.29 swIfOperMdix00
1.3.6.1.4.1.89.43.1.1.30 swIfHostMode00
1.3.6.1.4.1.89.43.1.1.31 swIfSingleHostViolationAdminAction00
1.3.6.1.4.1.89.43.1.1.32 swIfSingleHostViolationOperAction00
1.3.6.1.4.1.89.43.1.1.33 swIfSingleHostViolationAdminTrapEnable00
1.3.6.1.4.1.89.43.1.1.34 swIfSingleHostViolationOperTrapEnable00
1.3.6.1.4.1.89.43.1.1.35 swIfSingleHostViolationOperTrapCount00
1.3.6.1.4.1.89.43.1.1.36 swIfSingleHostViolationAdminTrapFrequency00
1.3.6.1.4.1.89.43.1.1.37 swIfLockLimitationMode00
1.3.6.1.4.1.89.43.1.1.38 swIfLockMaxMacAddresses00
1.3.6.1.4.1.89.43.1.1.39 swIfLockMacAddressesCount00
1.3.6.1.4.1.89.43.1.1.40 swIfAdminSpeedDuplexAutoNegotiationLocalCapabilities00
1.3.6.1.4.1.89.43.1.1.41 swIfOperSpeedDuplexAutoNegotiationLocalCapabilities00
1.3.6.1.4.1.89.43.1.1.42 swIfSpeedDuplexNegotiationRemoteCapabilities00
1.3.6.1.4.1.89.43.1.1.43 swIfAdminComboMode00
1.3.6.1.4.1.89.43.1.1.44 swIfOperComboMode00
1.3.6.1.4.1.89.43.1.1.45 swIfAutoNegotiationMasterSlavePreference00
1.3.6.1.4.1.89.43.1.1.46 swIfPortCapabilities00